GET
/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}2609170000通过ID获取品牌信息
# 01
简介
通过ID获取品牌信息
# 02
详细内容
可用买家市场: 韩国
此API可以让卖家通过brandId查询品牌详细信息。
路径
GET/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}
示例端点
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/{brandId}# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| brandId* | string | 品牌唯一标识符(例:KR-5)
|
# 04
响应体
响应消息
| Name | Type | Description |
|---|---|---|
| code | string | 结果代码 SUCCESS/ERROR
|
| message | string | 消息
|
| data | object | |
| brandId data.brandId | string | 品牌唯一标识符(例:KR-5)
|
| brandName data.brandName | string | 品牌名称(例:NIKE)
|
| brandLogoUrl data.brandLogoUrl | string | 品牌Logo图片URL(无则为null)
|
| isUIDRequired data.isUIDRequired | boolean | 该品牌是否要求UID(GTIN或MPN)输入
|
| allowedUIDTypes data.allowedUIDTypes | object[] | 允许的UID类型列表(例:["GTIN", "MPN"])
|
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"brandId": "KR-5",
"brandName": "NIKE",
"brandLogoUrl": "https://image11.coupangcdn.com/image/brand/logo/nike.png",
"isUIDRequired": true,
"allowedUIDTypes": [
"GTIN",
"MPN"
]
}
}# 05
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 Bad Request | 品牌查询失败。 | 请确认brandId是否有效。 |
| 400 | 400 Bad Request | brandId格式无效。 | 请确认brandId格式(例如:KR-5)。 |